Subject: Re: TG3 fix for slow switches (Was: TG3 driver failure on HP 16-way)

From: "Michael Chan" <[email-masked]>
Date: Tue, 31 May 2005 11:22:52 -0700

On Tue, 2005-05-31 at 12:03 -0700, Grant Grundler wrote:
> On Tue, May 31, 2005 at 10:42:45AM -0700, Michael Chan wrote:
> > No, I mean I will create a patch that will work for older devices that
> > do not have the valid LED bits in eeprom.
> 
> Ah ok. How can you know if the LED bits are valid (or not)?
> 

There are version numbers and signatures that we may be able to use. I
am working with the firmware engineer to see if we can find a way.

> I consider this a bug in the eeprom and have set things in motion
> (in HP) to correct it since the card is not an obsolete product.
> 
> Otherwise, the patch I submitted should be sufficient.
> 

I am hoping to have a patch that will work for all older devices instead
of just checking for subvendor IDs, if possible. If not, we'll go with
your patch.